%define anolis_release 2

Name:           passwd
Version:        0.80
Release:        %{anolis_release}%{?dist}
Summary:        An utility for setting or changing passwords using PAM

License:        BSD or GPL+
URL:            https://pagure.io/passwd
Source0:        https://releases.pagure.org/passwd/passwd-%{version}.autotoolized.tar.bz2

BuildRequires:  m4
BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  glib2-devel
BuildRequires:  libuser-devel
BuildRequires:  pam-devel
BuildRequires:  libuser
BuildRequires:  gettext
BuildRequires:  gettext-devel
BuildRequires:  popt-devel
BuildRequires:  libselinux-devel
BuildRequires:  audit-libs-devel

%description
This package contains a system utility (passwd) which sets or changes
passwords, using PAM (Pluggable Authentication Modules) library.

%prep
%autosetup -p1

%build
%configure --with-selinux --with-audit 
%make_build

%install
%make_install
install -m 644 passwd.pamd -D %{buildroot}%{_sysconfdir}/pam.d/passwd
%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS
%config(noreplace) %{_sysconfdir}/pam.d/passwd
%attr(4755,root,root) %{_bindir}/passwd
%{_mandir}/man1/passwd.1*

%changelog
* Wed Mar 23 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.80-2
- remove requires of library

* Thu Mar 03 2022 Su Lifan <su-lifan@linux.alibaba.com> - 0.80-1
- Initial packaging for Anolis OS 23
